package com.steerinfo.ems.trmcalpointexvalue.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.ems.trmcalpointexvalue.model.TRmCalpointExValue;
import com.github.pagehelper.PageHelper;
import com.steerinfo.ems.trmcalpointexvalue.mapper.TRmCalpointExValueMapper;
import com.steerinfo.ems.trmcalpointexvalue.service.ITRmCalpointExValueService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.math.BigDecimal;

/**
 * TRmCalpointExValue服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-10-14 10:18
 * 类描述
 * 修订历史：
 * 日期：2020-10-14
 * 作者：generator
 * 参考：
 * 描述：TRmCalpointExValue服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tRmCalpointExValueService")
public class TRmCalpointExValueServiceImpl extends BaseServiceImpl<TRmCalpointExValue, String> implements ITRmCalpointExValueService {

    @Autowired
    private TRmCalpointExValueMapper tRmCalpointExValueMapper;

    @Override
    protected IBaseMapper<TRmCalpointExValue, String> getMapper() {
        return tRmCalpointExValueMapper;
    }

	@Override
	public PageList<Map<String, Object>> getExData(HashMap<String, Object> parmas, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		List<Map<String,Object>>rows = tRmCalpointExValueMapper.getExData(parmas);
		PageList<Map<String, Object>> pageInfo = new PageList<Map<String, Object>>(rows);
		return pageInfo;
	}
//获取位置
	@Override
	public List<TRmCalpointExValue> getlocateid() {
		List<TRmCalpointExValue>locateid=tRmCalpointExValueMapper.getlocateid();
		return locateid;
	}
}
